Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class Product2

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.Product2

    public class Product2
    extends java.lang.Object

Java class for Product2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Product2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PdctCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max70Text"/>
             <element name="UnitOfMeasr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}UnitOfMeasure1Code" minOccurs="0"/>
             <element name="PdctQty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}DecimalNumber" minOccurs="0"/>
             <element name="UnitPric" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ImpliedCurrencyAndAmount" minOccurs="0"/>
             <element name="PdctAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}ImpliedCurrencyAndAmount" minOccurs="0"/>
             <element name="TaxTp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="AddtlPdctInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlPdctInf`
`protected java.math.BigDecimal` `pdctAmt`
`protected java.lang.String` `pdctCd`
`protected java.math.BigDecimal` `pdctQty`
`protected java.lang.String` `taxTp`
`protected UnitOfMeasure1Code` `unitOfMeasr`
`protected java.math.BigDecimal` `unitPric`

### Constructor Summary

Constructors
`Product2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlPdctInf()` Gets the value of the addtlPdctInf property.
`java.math.BigDecimal` `getPdctAmt()` Gets the value of the pdctAmt property.
`java.lang.String` `getPdctCd()` Gets the value of the pdctCd property.
`java.math.BigDecimal` `getPdctQty()` Gets the value of the pdctQty property.
`java.lang.String` `getTaxTp()` Gets the value of the taxTp property.
`UnitOfMeasure1Code` `getUnitOfMeasr()` Gets the value of the unitOfMeasr property.
`java.math.BigDecimal` `getUnitPric()` Gets the value of the unitPric property.
`void` `setAddtlPdctInf​(java.lang.String value)` Sets the value of the addtlPdctInf property.
`void` `setPdctAmt​(java.math.BigDecimal value)` Sets the value of the pdctAmt property.
`void` `setPdctCd​(java.lang.String value)` Sets the value of the pdctCd property.
`void` `setPdctQty​(java.math.BigDecimal value)` Sets the value of the pdctQty property.
`void` `setTaxTp​(java.lang.String value)` Sets the value of the taxTp property.
`void` `setUnitOfMeasr​(UnitOfMeasure1Code value)` Sets the value of the unitOfMeasr property.
`void` `setUnitPric​(java.math.BigDecimal value)` Sets the value of the unitPric property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pdctCd

    protected java.lang.String pdctCd

#### unitOfMeasr

    protected UnitOfMeasure1Code unitOfMeasr

#### pdctQty

    protected java.math.BigDecimal pdctQty

#### unitPric

    protected java.math.BigDecimal unitPric

#### pdctAmt

    protected java.math.BigDecimal pdctAmt

#### taxTp

    protected java.lang.String taxTp

#### addtlPdctInf

    protected java.lang.String addtlPdctInf

### Constructor Detail

#### Product2

    public Product2()

### Method Detail

#### getPdctCd

    public java.lang.String getPdctCd()

Gets the value of the pdctCd property.

Returns:
  possible object is `String`

#### setPdctCd

    public void setPdctCd​(java.lang.String value)

Sets the value of the pdctCd property.

Parameters:
  `value` - allowed object is `String`

#### getUnitOfMeasr

    public UnitOfMeasure1Code getUnitOfMeasr()

Gets the value of the unitOfMeasr property.

Returns:
  possible object is `UnitOfMeasure1Code`

#### setUnitOfMeasr

    public void setUnitOfMeasr​(UnitOfMeasure1Code value)

Sets the value of the unitOfMeasr property.

Parameters:
  `value` - allowed object is `UnitOfMeasure1Code`

#### getPdctQty

    public java.math.BigDecimal getPdctQty()

Gets the value of the pdctQty property.

Returns:
  possible object is `BigDecimal`

#### setPdctQty

    public void setPdctQty​(java.math.BigDecimal value)

Sets the value of the pdctQty property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getUnitPric

    public java.math.BigDecimal getUnitPric()

Gets the value of the unitPric property.

Returns:
  possible object is `BigDecimal`

#### setUnitPric

    public void setUnitPric​(java.math.BigDecimal value)

Sets the value of the unitPric property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getPdctAmt

    public java.math.BigDecimal getPdctAmt()

Gets the value of the pdctAmt property.

Returns:
  possible object is `BigDecimal`

#### setPdctAmt

    public void setPdctAmt​(java.math.BigDecimal value)

Sets the value of the pdctAmt property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getTaxTp

    public java.lang.String getTaxTp()

Gets the value of the taxTp property.

Returns:
  possible object is `String`

#### setTaxTp

    public void setTaxTp​(java.lang.String value)

Sets the value of the taxTp property.

Parameters:
  `value` - allowed object is `String`

#### getAddtlPdctInf

    public java.lang.String getAddtlPdctInf()

Gets the value of the addtlPdctInf property.

Returns:
  possible object is `String`

#### setAddtlPdctInf

    public void setAddtlPdctInf​(java.lang.String value)

Sets the value of the addtlPdctInf property.

Parameters:
  `value` - allowed object is `String`